mscorlib 2.0.0.0 4.0.0.0 System.Object

This class performs similar tasks as the . The main difference is that the performs its tasks during serialization while the performs its tasks during deserialization.

Manages serialization processes at run time. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

  An instance of the class that contains information about the current serialization operation.
- Method
  2.0.0.0
  4.0.0.0
  System.Void

  The OnSerializing callback event is created by applying the attribute to a method on the registered object. Similarly, the OnSerialized event is created by applying the attribute to a method on the registered object.

  Invokes the OnSerializing callback event if the type of the object has one; and registers the object for raising the OnSerialized event if the type of the object has one.

- Method
  2.0.0.0
  4.0.0.0
  System.Void ``

  The method will be called on the registered object.

  Registers the object upon which events will be raised.

  The object to register.